API reference
Notifications
9 endpoints under /v1/notifications.
List Notifications
get
/v1/notificationsQuery parameters
unread_onlybooleanoptionalbeforestring (date-time)optionalkindsstringoptionalcomma-separated kinds
proposal_idstring (uuid)optional
Headers
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Dismiss
post
/v1/notifications/{notification_id}/dismissPath parameters
notification_idstring (uuid)required
Headers
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Mark Read
post
/v1/notifications/{notification_id}/readPath parameters
notification_idstring (uuid)required
Headers
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Get Org Policies
get
/v1/notifications/org-policiesHeaders
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Update Org Policies
patch
/v1/notifications/org-policiesHeaders
X-Organization-IDstringoptional
Request body
policiesobject[]required
Failures return the error envelope; branch on error_code.
Request
Response
Get Preferences
get
/v1/notifications/preferencesHeaders
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Update Preferences
patch
/v1/notifications/preferencesHeaders
X-Organization-IDstringoptional
Request body
kindsobject[]optionalsettingsobjectoptional
Failures return the error envelope; branch on error_code.
Request
Response
Read All
post
/v1/notifications/read-allHeaders
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response
Unread Count
get
/v1/notifications/unread-countHeaders
X-Organization-IDstringoptional
Failures return the error envelope; branch on error_code.
Request
Response